### Class

# Gio FilterOutputStream

since: 2.0

#### Description

    abstract class Gio.FilterOutputStream : Gio.OutputStream
    {
      base_stream: GOutputStream*
    }

Base class for output stream implementations that perform some kind of filtering operation on a base stream. Typical examples of filtering operations are character set conversion, compression and byte order flipping.

Available since: 2.0

#### Ancestors

- GOutputStream
- GObject

#### Descendants

- GBufferedOutputStream
- GConverterOutputStream
- GDataOutputStream

#### Instance methods

###### g_filter_output_stream_get_base_stream

Gets the base stream for the filter stream.

since: 2.0

###### g_filter_output_stream_get_close_base_stream

Returns whether the base stream will be closed when `stream` is closed.

since: 2.0

###### g_filter_output_stream_set_close_base_stream

Sets whether the base stream will be closed when `stream` is closed.

since: 2.0

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gio.FilterOutputStream:base-stream

No description available.

since: 2.0

###### Gio.FilterOutputStream:close-base-stream

Whether the base stream should be closed when the filter stream is closed.

since: 2.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioFilterOutputStreamClass {
      GOutputStreamClass parent_class;
      void (* _g_reserved1) (
    void
      );
      void (* _g_reserved2) (
    void
      );
      void (* _g_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GOutputStreamClass`
  No description available.
`_g_reserved1: void (* _g_reserved1) ( void )`
  No description available.
`_g_reserved2: void (* _g_reserved2) ( void )`
  No description available.
`_g_reserved3: void (* _g_reserved3) ( void )`
  No description available.